Jessie Problems

    • OMV 4.x
    • Jessie Problems

      I have the folowing issue. I hope somebody can help me. Thank you.



      CRON-APT RUN [/etc/cron-apt/config]: Wed Aug 14 06:55:22 CEST 2019
      CRON-APT SLEEP: 2826, Wed Aug 14 07:42:28 CEST 2019
      CRON-APT ACTION: 0-update
      CRON-APT LINE: /usr/bin/apt-get -o Acquire::http::Dl-Limit=25 update -o quiet=2
      Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f16763a1730>
      Traceback (most recent call last):
      File "/usr/lib/python3.5/weakref.py", line 117, in remove
      TypeError: 'NoneType' object is not callable
      Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f16763a1730>
      Traceback (most recent call last):
      File "/usr/lib/python3.5/weakref.py", line 117, in remove
      TypeError: 'NoneType' object is not callable
      E: Release file for archive.debian.org/debian/dists/jessie-backports/InRelease is expired (invalid since 175d 9h 16min 55s). Updates for this repository will not be applied.
      W: The repository 'http://httpredir.debian.org/debian jessie-backports Release' does not have a Release file.
    • It tells you right there what the problem is...

      E: Release file for archive.debian.org/debian/dists/jessie-backports/InRelease is expired (invalid since 175d 9h 16min 55s). Updates for this repository will not be applied.

      I'll translate: You've done a terrible job keeping your system up to date, and this repository was closed 175 days ago.

      There are multiple threads on the forum about this and how to fix it, but basically Debian Jessie went EOL and went to LTS so the repositories changed, so you need to update your repositories, but you're still going to have problems because the OMV 3 repositories are (to my knowledge) gone.

      What you need to do is get your system to Debian 9 (Stretch), then upgrade to OMV 4. You can do this by either clean installing OMV 4, or updating Debian to Stretch (which will probably uninstall OMV) then install OMV 4 when it's done upgrading.

      Then start keeping your system regularly updated.
      Air Conditioners are a lot like PC's... They work great until you open Windows.